CallbackData Struct Reference

## Data Fields

int | type
long | sessionId
int | logLevel
AVBPrint | logData
int | statisticsFrameNumber
float | statisticsFps
float | statisticsQuality
int64_t | statisticsSize
int | statisticsTime
double | statisticsBitrate
double | statisticsSpeed
struct CallbackData * | next

## Detailed Description

Callback data structure

Definition at line 36 of file ffmpegkit.c.

## Field Documentation

## logData

AVBPrint CallbackData::logData

Definition at line 41 of file ffmpegkit.c.

## logLevel

int CallbackData::logLevel

Definition at line 40 of file ffmpegkit.c.

## next

struct CallbackData* CallbackData::next

Definition at line 51 of file ffmpegkit.c.

## sessionId

long CallbackData::sessionId

Definition at line 38 of file ffmpegkit.c.

## statisticsBitrate

double CallbackData::statisticsBitrate

Definition at line 48 of file ffmpegkit.c.

## statisticsFps

float CallbackData::statisticsFps

Definition at line 44 of file ffmpegkit.c.

## statisticsFrameNumber

int CallbackData::statisticsFrameNumber

Definition at line 43 of file ffmpegkit.c.

## statisticsQuality

float CallbackData::statisticsQuality

Definition at line 45 of file ffmpegkit.c.

## statisticsSize

int64_t CallbackData::statisticsSize

Definition at line 46 of file ffmpegkit.c.

## statisticsSpeed

double CallbackData::statisticsSpeed

Definition at line 49 of file ffmpegkit.c.

## statisticsTime

int CallbackData::statisticsTime

Definition at line 47 of file ffmpegkit.c.

## type

int CallbackData::type

Definition at line 37 of file ffmpegkit.c.

The documentation for this struct was generated from the following file:

- ffmpegkit.c